## slatec 4.1-2

=== src/machine/Makefile ===
#

F77 = g77
CC = cc 

CFLAGS = -O3
#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<

.c.o:
	$(CC) -c $(CFLAGS)  $(OCFLAGS) $(DEFS) $<

MACHOBJS = d1mach.o i1mach.o r1mach.o xerhlt.o fdump.o



objs:  $(MACHOBJS)

all:	static shared

static:	$(MACHOBJS)
	ar ru libmach.a 	$(MACHOBJS)
	ranlib libmach.a

shared: $(ERROBJS)
	ld -shared -o libmach.so $(MACHOBJS) -lc


clean:	
	-rm -f *.o *.so *.a
