=== src/pchip/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


PCHIPOBJS = pchsw.o pchst.o pchsp.o pchkt.o pchim.o pchid.o  \
 pchic.o pchia.o pchfe.o pchfd.o pchdoc.o pchdf.o pchcs.o  \
 pchcm.o pchci.o pchce.o pchbs.o dpchsw.o dpchst.o dpchsp.o  \
 dpchkt.o dpchim.o dpchid.o dpchic.o dpchia.o dpchfe.o   \
 dpchfd.o dpchdf.o dpchcs.o dpchcm.o dpchci.o dpchce.o dpchbs.o   \
 dchfie.o dchfev.o dchfdv.o dchfcm.o chfie.o chfev.o chfdv.o chfcm.o   \

objs:  $(PCHIPOBJS)

static:	$(PCHIPOBJS)
	ar ru libpchip.a 	$(PCHIPOBJS)

shared: $(PCHIPOBJS)
	ld -shared libpchip.so $(PCHIPOBJS) -lc


clean:	
	-rm -f *.o *.so *.a
