=== debian/changelog ===
slatec (4.1-2) unstable; urgency=low

  * make more non-i386 friendly
  * fix static and shared libs.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Oct 1998 14:41:29 -0700
	

slatec (4.1-1) unstable; urgency=low

  * Intitial packaging

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat,  8 Aug 1998 11:49:49 -0700


Local variables:
mode: debian-changelog
End:
