=== debian/control ===
Source: slatec
Section: libs
Priority: extra
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.4.1.2

Package: slatec
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: numerical computation library
 slatec is a fortran library of over 1400 routines 
 for numerical tasks.  Some of the subjects covered 
 are: Arithmetic, error analysis, Elementary 
 and special functions, Linear Algebra, Interpolation,
 Solution of nonlinear equations, Optimization,
 Differentiation, integration, Differential and 
 integral equations, Integral transforms, Statistics, 
 probability, and Data handling.

Package: slatec-dev
Section: devel
Priority: extra
Architecture: any
Depends: slatec
Description: static lib, docs, and test code for slatec
 Static library and test programs and documents for
 the slatec library.
