=== src/chk/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<

# 
#   These are main programs, not routines
# test54.o test53.o test52.o test51.o test50.o test49.o test48.o test47.o test46.o   \
# test45.o test44.o test43.o test42.o test41.o test40.o test39.o test38.o test37.o test36.o   \
# test35.o test34.o test33.o test32.o test31.o test30.o test29.o test28.o test27.o test26.o   \
# test25.o test24.o test23.o test22.o   \
# test21.o test20.o test19.o test18.o test17.o test16.o test15.o test14.o test13.o   \
# test12.o test11.o test10.o test09.o test08.o test07.o test06.o test05.o test04.o   \
# test03.o test02.o test01.o 
#

CHKOBJS = zqcby.o zqcbk.o zqcbj.o zqcbi.o zqcbh.o zqcai.o xcsrt.o vfill.o uvec.o uivp.o  \
 t5.o t4.o t3.o t2.o t1.o t0.o stest.o ssrtqc.o srmgen.o   \
 sqjac2.o sqfcn2.o sqck.o splpqx.o sosnqx.o sosfnc.o snsqqk.o snls1q.o smvch.o smmch.o   \
 smake3.o smake2.o slapqc.o sgeqc.o sfnck.o sdres2.o sdres1.o sdqck.o sdjac2.o   \
 sdjac1.o sdf.o sdasqc.o schke3.o schke2.o schk62.o schk53.o schk52.o schk43.o schk42.o   \
 schk33.o schk32.o schk23.o schk22.o schk13.o schk12.o sbocqx.o sblat3.o sblat2.o sbeg.o   \
 rqrtst.o qxssp.o qxrkf.o qxplr.o qxgbun.o qxdrkf.o qxdbvs.o qxdbdf.o qxdabm.o qxcyl.o   \
 qxcsp.o qxcrt.o qxbvsp.o qxblkt.o qxbdf.o qxabm.o qn79qx.o qg8tst.o qcrj.o qcrf.o qcrd.o   \
 qcrc.o qcpsi.o qckin.o qcglss.o qcdrj.o qcdrf.o qcdrd.o qcdrc.o qc6a.o qc36j.o pntchk.o   \
 pfitqx.o pchqk5.o pchqk4.o pchqk3.o pchqk2.o pchqk1.o pass.o outerr.o lseres.o lseiqx.o   \
 lse.o lderes.o lde.o lceres.o lce.o jac.o itest.o isrtqc.o ismpl.o hsrtqc.o header.o   \
 gvec.o fztest.o fqd2.o fqd1.o fmat.o fftqx.o fein.o fdtrue.o fdeqc.o fcqx.o fcnqx2.o   \
 fcnqx1.o fcn3.o fcn2.o fcn1.o fb.o f5s.o f4s.o f4p.o f3s.o f3p.o f3g.o f2s.o f2p.o f2o.o   \
 f2n.o f2g.o f1ws.o f1s.o f1p.o f1o.o f1n.o f1g.o f1f.o f1c.o f0ws.o f0s.o f0o.o f0f.o   \
 f0c.o evpcck.o everck.o evchck.o eisqx2.o eisqx1.o eg8ck.o edit2.o dxcsrt.o duvec.o   \
 duterr.o duivp.o dtest.o dt5.o dt4.o dt3.o dt2.o dt1.o dt0.o dsrtqc.o dsosqx.o dsosfn.o   \
 drmgen.o dqn79q.o dqjac2.o dqg8ts.o dqfcn2.o dqcpsi.o dqckin.o dqck.o dqcgls.o dqc36j.o    \
 dprin.o dpntck.o dplpqx.o dpfitt.o dpchq5.o dpchq4.o dpchq3.o dpchq2.o dpchq1.o dnsqqk.o   \
 dnls1q.o dmvch.o dmmch.o dmake3.o dmake2.o dlseit.o dlapqc.o djac.o dgvec.o dgeqc.o   \
 dfztst.o dfqd2.o dfqd1.o dfnck.o dfmat.o dfill.o dfein.o dfdtru.o dfdeqc.o dfcqx.o dfcn3.o   \
 dfcn2.o dfcn1.o dfb.o df5s.o df4s.o df4p.o df3s.o df3p.o df3g.o df2s.o df2p.o df2o.o   \
 df2n.o df2g.o df1ws.o df1s.o df1p.o df1o.o df1n.o df1g.o df1f.o df1c.o df0ws.o df0s.o   \
 df0o.o df0f.o df0c.o devpck.o deverk.o devchk.o deg8ck.o dedit2.o ddres2.o ddres1.o   \
 ddqck.o ddjac2.o ddjac1.o ddf.o ddasqc.o dcmpar.o dchke3.o dchke2.o dchk62.o dchk53.o   \
 dchk52.o dchk43.o dchk42.o dchk33.o dchk32.o dchk23.o dchk22.o dchk13.o dchk12.o dbspck.o   \
 dbocqx.o dblat3.o dblat2.o dbjyck.o dbikck.o dbeg.o davnts.o ctrqc.o csvqc.o cspqc.o   \
 csiqc.o cqrtst.o cqrqc.o cqng.o cqck.o cqcby.o cqcbk.o cqcbj.o cqcbi.o cqcbh.o cqcai.o   \
 cqaws.o cqawo.o cqawf.o cqawc.o cqags.o cqagp.o cqagi.o cqag.o cptqc.o cprpqx.o   \
 cprin.o cppqc.o cpoqc.o cpbqc.o comp.o cmvch.o cmpare.o cmmch.o cmake3.o cmake2.o   \
 chpqc.o chkxer.o chiqc.o check2.o check1.o check0.o cgtqc.o cgeqc.o cgeck.o cgbqc.o   \
 cfnck.o cdqng.o cdqck.o cdqaws.o cdqawo.o cdqawf.o cdqawc.o cdqags.o cdqagp.o cdqagi.o   \
 cdqag.o cdf.o cchqc.o cchke3.o cchke2.o cchk62.o cchk53.o cchk52.o cchk43.o cchk42.o   \
 cchk33.o cchk32.o cchk23.o cchk22.o cchk13.o cchk12.o cblat3.o cblat2.o cbeg.o   \
 bspck.o blachk.o bjyck.o bikck.o avntst.o 

objs:  $(CHKOBJS)

static:	$(CHKOBJS)
	-rm -f libcheck.a
	ar ru libcheck.a 	$(CHKOBJS)
	ranlib libcheck.a


shared: $(CHKOBJS)
	ld -shared -o libcheck.so $(CHKOBJS) -lc

clean:	
	-rm -f *.o *.so *.a
