=== src/err/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


ERROBJS = xsetun.o xsetua.o xsetf.o xgetun.o xgetua.o \
  xgetf.o xermax.o xerdmp.o xerclr.o j4save.o fdump.o 


objs:  $(ERROBJS)

all:	static shared

static:	$(ERROBJS)
	ar ru liberr.a 	$(ERROBJS)
	ranlib liberr.a

shared: $(ERROBJS)
	ld -shared -o liberr.so $(ERROBJS) -lc


clean:	
	-rm -f *.o *.so *.a
