=== src/fishfft/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


FISHFFTOBJS = sinti.o sint.o sinqi.o sinqf.o sinqb.o \
 sepx4.o sepeli.o rffti1.o rffti.o rfftf1.o rfftf.o rfftb1.o  \
 rfftb.o radfg.o radf5.o radf4.o radf3.o radf2.o radbg.o  \
 radb5.o radb4.o radb3.o radb2.o poistg.o pois3d.o passf5.o  \
 passf4.o passf3.o passf2.o passf.o passb5.o passb4.o  \
 passb3.o passb2.o passb.o hwsssp.o hwsplr.o hwscyl.o hwscsp.o  \
 hwscrt.o hw3crt.o hstssp.o hstplr.o hstcyl.o hstcsp.o hstcrt.o  \
 genbun.o ezffti.o ezfftf.o ezfftb.o ezfft1.o costi.o cost.o  \
 cosqi.o cosqf1.o cosqf.o cosqb1.o cosqb.o cmgnbn.o cffti1.o  \
 cffti.o cfftf1.o cfftf.o cfftb1.o cfftb.o cblktr.o blktri.o  \

objs:  $(FISHFFTOBJS)

all:	static shared

static:	$(FISHFFTOBJS)
	ar ru libfishfft.a 	$(FISHFFTOBJS)
	ranlib libfishfft.a

shared: $(FISHFFTOBJS)
	ld -shared -o libfishfft.so $(FISHFFTOBJS) -lc

clean:	
	-rm -f *.o *.so *.a
