=== src/fnlib/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


FNLIBOBJS = spenc.o sindg.o runif.o rgauss.o rand.o r9upak.o   \
 r9pak.o r9ln2r.o r9lgmc.o r9lgit.o r9lgic.o r9knus.o r9gmit.o   \
 r9gmic.o r9chu.o r9atn1.o r9aimp.o psi.o poch1.o poch.o   \
 inits.o initds.o gamr.o gamma.o gamlim.o gamit.o gamic.o    \
 gami.o fac.o exprel.o erfc.o erf.o ei.o e1.o dspenc.o dsindg.o    \
 dpsi.o dpoch1.o dpoch.o dlnrel.o dlngam.o dli.o dlgams.o dlbeta.o    \
 dgamr.o dgamma.o dgamlm.o dgamit.o dgamic.o dgami.o dfac.o    \
 dexprl.o derfc.o derf.o dei.o de1.o ddaws.o dcsevl.o dcot.o    \
 dcosdg.o bi.o dchu.o dcbrt.o dbskes.o dbsk1e.o dbsk0e.o dbsi1e.o    \
 dbsi0e.o dbinom.o dbie.o dbi.o dbetai.o dbeta.o dbesy1.o dbesy0.o    \
 dbesks.o dbesk1.o dbesk0.o dbesj1.o dbesj0.o dbesi1.o dbesi0.o daws.o    \
 datanh.o dasinh.o daie.o dai.o dacosh.o d9upak.o d9pak.o d9ln2r.o    \
 d9lgmc.o d9lgit.o d9lgic.o d9knus.o d9gmit.o d9gmic.o d9chu.o   \
  d9b1mp.o d9b0mp.o d9atn1.o d9aimp.o ctanh.o ctan.o csinh.o csevl.o   \
  cpsi.o cot.o cosdg.o clog10.o clnrel.o clngam.o clbeta.o chu.o cgamr.o   \
  cgamma.o cexprl.o ccot.o ccosh.o ccbrt.o cbrt.o cbeta.o catanh.o    \
 catan2.o catan.o casinh.o casin.o carg.o cacosh.o cacos.o c9ln2r.o    \
 c9lgmc.o c0lgmc.o binom.o bie.o betai.o beta.o besy1.o besy0.o besks.o   \
  beskes.o besk1e.o besk1.o besk0e.o besk0.o besj1.o besj0.o besi1e.o   \
  besi1.o besi0e.o besi0.o atanh.o asinh.o alnrel.o alngam.o ali.o    \
 algams.o albeta.o aie.o ai.o acosh.o 

objs:  $(FNLIBOBJS)

static:	$(FNLIBOBJS)
	ar ru libfnlib.a 	$(FNLIBOBJS)

shared: $(FNLIBOBJS)
	ld -shared libfnlib.so $(FNLIBOBJS) -lc

clean:	
	-rm -f *.o *.so *.a
