=== src/lin/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


LINOBJS = tsturm.o tridib.o tred3.o tred2.o tred1.o trbak3.o trbak1.o tqlrat.o \
 tql2.o tql1.o tinvit.o sxlcal.o strsv.o strsm.o strsl.o strmv.o strmm.o strdi.o \
 strco.o stpsv.o stpmv.o stout.o stin.o stbsv.o stbmv.o ssyrk.o ssyr2k.o \
 ssyr2.o ssyr.o ssymv.o ssymm.o sswap.o ssvdc.o sspsl.o sspr2.o sspr.o sspmv.o  \
 sspfa.o sspev.o sspdi.o sspco.o ssmv.o ssmtv.o ssmmti.o ssmmi2.o ssluti.o  \
 ssluom.o sslui4.o sslui2.o sslui.o sslugm.o sslucs.o sslucn.o sslubc.o ssllti.o  \
 ssli2.o ssli.o ssjac.o ssisl.o ssilus.o ssilur.o ssifa.o ssidi.o ssics.o ssico.o  \
 ssiccg.o ssgs.o ssdscl.o ssds.o ssdomn.o ssdi.o ssdgmr.o ssdcgs.o ssdcgn.o  \
 ssdcg.o ssdbcg.o ssd2s.o sscal.o ssbmv.o ss2y.o ss2lt.o srotmg.o srotm.o  \
 srotg.o srot.o srlcal.o sqrsl.o sqrdc.o sptsl.o sppsl.o sppfa.o sppdi.o sppco.o  \
 sposl.o spofa.o spodi.o spoco.o spigmr.o spbsl.o spbfa.o spbdi.o spbco.o  \
 sorth.o somn.o snrm2.o slpdoc.o sllti2.o sir.o sheqr.o shels.o sgtsl.o  \
 sgmres.o sgesl.o sger.o sgemv.o sgemm.o sgefa.o sgedi.o sgeco.o sgbsl.o sgbmv.o  \
 sgbfa.o sgbdi.o sgbco.o sdsdot.o sdot.o scpplt.o scopym.o scopy.o scnrm2.o  \
 schud.o schkw.o schex.o schdd.o schdc.o scgs.o scgn.o scg.o scasum.o sbhin.o  \
 sbcg.o saxpy.o sasum.o rt.o rst.o rsp.o rsgba.o rsgab.o rsg.o rsb.o rs.o rgg.o  \
 rg.o reduc2.o reduc.o rebakb.o rebak.o ratqr.o qzvec.o qzval.o qzit.o qzhes.o  \
 qs2i1r.o qs2i1d.o ortran.o orthes.o ortbak.o minfit.o iswap.o issomn.o issir.o  \
 issgmr.o isscgs.o isscgn.o isscg.o issbcg.o isdomn.o isdir.o isdgmr.o isdcgs.o  \
 isdcgn.o isdcg.o isdbcg.o isamax.o invit.o imtqlv.o imtql2.o imtql1.o idamax.o  \
 icopy.o icamax.o htridi.o htrid3.o htribk.o htrib3.o hqr2.o hqr.o figi2.o  \
 figi.o eltran.o elmhes.o elmbak.o eisdoc.o dxlcal.o dtrsv.o dtrsm.o dtrsl.o  \
 dtrmv.o dtrmm.o dtrdi.o dtrco.o dtpsv.o dtpmv.o dtout.o dtin.o dtbsv.o dtbmv.o  \
 dsyrk.o dsyr2k.o dsyr2.o dsyr.o dsymv.o dsymm.o dswap.o dsvdc.o dspsl.o dspr2.o  \
 dspr.o dspmv.o dspfa.o dspdi.o dspco.o dsmv.o dsmtv.o dsmmti.o dsmmi2.o  \
 dsluti.o dsluom.o dslui4.o dslui2.o dslui.o dslugm.o dslucs.o dslucn.o dslubc.o  \
 dsllti.o dsli2.o dsli.o dsjac.o dsisl.o dsilus.o dsilur.o dsifa.o dsidi.o  \
 dsics.o dsico.o dsiccg.o dsgs.o dsdscl.o dsds.o dsdot.o dsdomn.o dsdi.o  \
 dsdgmr.o dsdcgs.o dsdcgn.o dsdcg.o dsdbcg.o dsd2s.o dscal.o dsbmv.o ds2y.o  \
 ds2lt.o drotmg.o drotm.o drotg.o drot.o drlcal.o dqrsl.o dqrdc.o dptsl.o  \
 dppsl.o dppfa.o dppdi.o dppco.o dposl.o dpofa.o dpodi.o dpoco.o dpigmr.o  \
 dpbsl.o dpbfa.o dpbdi.o dpbco.o dorth.o domn.o dnrm2.o dlpdoc.o dllti2.o dir.o  \
 dheqr.o dhels.o dgtsl.o dgmres.o dgesl.o dger.o dgemv.o dgemm.o dgefa.o  \
 dgedi.o dgeco.o dgbsl.o dgbmv.o dgbfa.o dgbdi.o dgbco.o ddot.o dcpplt.o  \
 dcopym.o dcopy.o dchud.o dchkw.o dchex.o dchdd.o dchdc.o dcgs.o dcgn.o dcg.o  \
 dcdot.o dbhin.o dbcg.o daxpy.o dasum.o ctrsv.o ctrsm.o ctrsl.o ctrmv.o ctrmm.o  \
 ctrdi.o ctrco.o ctpsv.o ctpmv.o ctbsv.o ctbmv.o csyrk.o csyr2k.o csymm.o  \
 cswap.o csvdc.o csscal.o csrot.o cspsl.o cspfa.o cspdi.o cspco.o csisl.o  \
 csifa.o csidi.o csico.o cscal.o crotg.o cqrsl.o cqrdc.o cptsl.o cppsl.o  \
 cppfa.o cppdi.o cppco.o cposl.o cpofa.o cpodi.o cpoco.o cpbsl.o cpbfa.o  \
 cpbdi.o cpbco.o corth.o cortb.o comqr2.o comqr.o comlr2.o comlr.o comhes.o  \
 combak.o cinvit.o chpsl.o chpr2.o chpr.o chpmv.o chpfa.o chpdi.o chpco.o  \
 chisl.o chifa.o chidi.o chico.o cherk.o cher2k.o cher2.o cher.o chemv.o  \
 chemm.o chbmv.o ch.o cgtsl.o cgesl.o cgeru.o cgerc.o cgemv.o cgemm.o  \
 cgefa.o cgedi.o cgeco.o cgbsl.o cgbmv.o cgbfa.o cgbdi.o cgbco.o cg.o cdotu.o  \
 cdotc.o cdcdot.o ccopy.o cchud.o cchex.o cchdd.o cchdc.o cbal.o cbabk2.o  \
 caxpy.o bqr.o bisect.o bandv.o bandr.o balbak.o balanc.o bakvec.o 

objs:  $(LINOBJS)

static:	$(LINOBJS)
	ar ru liblin.a 	$(LINOBJS)

shared: $(LINOBJS)
	ld -shared liblin.so $(LINOBJS) -lc


clean:	
	-rm -f *.o *.so *.a
