=== src/slatec/Makefile ===
#

F77 = g77

#FFLAGS = -O3
FFLAGS = 

DEFS =

.f.o:
	$(F77) -c $(FFLAGS) $(OFFLAGS) $(DEFS) $<


SSLATECOBJS = zwrsk.o zuoik.o zunk2.o zunk1.o zunik.o zuni2.o zuni1.o   \
 zunhj.o zuchk.o zsqrt.o zshch.o zseri.o zs1s2.o zrati.o zmlt.o     \
  zmlri.o zlog.o zkscl.o zexp.o zdiv.o zbunk.o zbuni.o zbknu.o   \
 zbiry.o zbinu.o zbesy.o zbesk.o zbesj.o zbesi.o zbesh.o    \
 zasyi.o zairy.o zacon.o zacai.o zabs.o yairy.o xsetun.o    \
 xsetua.o xsetf.o xset.o xred.o xqnu.o xqmu.o xpsi.o xpqnu.o    \
 xpnrm.o xpmup.o xpmu.o xnrmp.o xlegf.o xgetun.o xgetua.o    \
 xgetf.o xersve.o xerprn.o xermsg.o xermax.o     \
 xerdmp.o xercnt.o xerclr.o xerbla.o xcon.o xc210.o xadj.o   \
 xadd.o wnnls.o wnlt3.o wnlt2.o wnlt1.o wnlsm.o wnlit.o    \
 vnwrms.o usrmat.o ulsia.o u12us.o u12ls.o u11us.o u11ls.o    \
 trix.o trisp.o tris4.o tridq.o tri3.o tevls.o tevlc.o    \
 swritp.o svout.o svecs.o svd.o svco.o suds.o stway.o    \
 stor1.o stod.o steps.o ssort.o ssiev.o sreadp.o spsort.o   \
 spperm.o spopt.o spoir.o spofs.o splpup.o splpmu.o    \
 splpmn.o splpfl.o splpfe.o splpdm.o splpce.o splp.o spinit.o    \
 spincw.o spelip.o speli4.o sossol.o soseqs.o sos.o    \
 sopenm.o sods.o snsqe.o snsq.o snls1e.o snls1.o snbsl.o   \
 snbir.o snbfs.o snbfa.o snbdi.o snbco.o smout.o slvs.o    \
 sintrp.o sglss.o sgeir.o sgefs.o sgeev.o sdzro.o sdstp.o    \
 sdscl.o sdriv3.o sdriv2.o sdriv1.o sdpst.o sdpsc.o sdntp.o    \
 sdntl.o sdcst.o sdcor.o sdawts.o sdatrp.o sdastp.o sdassl.o   \
 sdaslv.o sdanrm.o sdajac.o sdaini.o scov.o scoef.o    \
 sclosm.o sbolsm.o sbols.o sbocls.o s1merg.o rwupdt.o    \
 rsco.o rpzero.o rpqr79.o rkfab.o rj.o rf.o reort.o rd.o   \
   rc6j.o rc3jm.o rc3jj.o rc.o r1updt.o r1mpyq.o     \
 qwgts.o qwgtf.o qwgtc.o qrsolv.o qrfac.o qpsrt.o qpdoc.o    \
 qng.o qnc79.o qmomo.o qk61.o qk51.o qk41.o qk31.o qk21.o    \
 qk15w.o qk15i.o qk15.o qform.o qelg.o qcheb.o qc25s.o    \
 qc25f.o qc25c.o qawse.o qaws.o qawoe.o qawo.o qawfe.o qawf.o    \
 qawce.o qawc.o qagse.o qags.o qagpe.o qagp.o qagie.o qagi.o    \
 qage.o qag.o pythag.o pvalue.o psixn.o psifn.o psgf.o prwvir.o    \
 prwpge.o prvec.o prodp.o prod.o procp.o proc.o ppval.o ppspf.o    \
 ppsgf.o ppqad.o pppsf.o ppgsf.o ppgq8.o ppadd.o postg2.o    \
 pos3d1.o polyvl.o polint.o polfit.o polcof.o poisp2.o poisn2.o    \
 poisd2.o pnnzrs.o pjac.o pinitm.o pimach.o pgsf.o pfqad.o    \
 pcoef.o pchngs.o orthor.o orthol.o orthog.o ortho4.o ohtror.o   \
  ohtrol.o numxer.o mpunfl.o mpstr.o mpovfl.o mpnzr.o mpmuli.o   \
  mpmul2.o mpmul.o mpmlp.o mpmaxr.o mperr.o mpdivi.o mpcmd.o mpchk.o   \
  mpcdm.o mpblas.o mpadd3.o mpadd2.o mpadd.o minsol.o minso4.o    \
 mgsbv.o mc20as.o mc20ad.o macon.o lssuds.o lssods.o lsod.o lsi.o    \
 lsei.o lsame.o lpdp.o lmpar.o llsia.o la05es.o la05ed.o la05cs.o   \
  la05cd.o la05bs.o la05bd.o la05as.o la05ad.o jairy.o   \
  j4save.o ivout.o isort.o ipsort.o ipperm.o iploc.o inxcc.o   \
 inxcb.o inxca.o intyd.o intrv.o indxc.o indxb.o indxa.o   \
 idloc.o i1merg.o  hwsss1.o hwscs1.o hvnrm.o hstcs1.o   \
 hstart.o hpsort.o hpperm.o hkseq.o hfti.o h12.o gaus8.o   \
 gamrn.o gamln.o fzero.o fundoc.o fulmat.o fftdoc.o    \
 fdjac3.o fdjac1.o fcmn.o fc.o exint.o exbvp.o enorm.o efcmn.o   \
 efc.o dyairy.o dy4.o dy.o dxset.o dxred.o dxqnu.o dxqmu.o   \
 dxpsi.o dxpqnu.o dxpnrm.o dxpmup.o dxpmu.o dxnrmp.o dxlegf.o   \
 dxcon.o dxc210.o dxadj.o dxadd.o dx4.o dx.o dwupdt.o dwritp.o   \
 dwnnls.o dwnlt3.o dwnlt2.o dwnlt1.o dwnlsm.o dwnlit.o   \
 dvout.o dvnrms.o dvecs.o dusrmt.o dulsia.o du12us.o du12ls.o   \
 du11us.o du11ls.o dsvco.o dsuds.o dstway.o dstor1.o   \
 dstod.o dsteps.o dsplp.o dsossl.o dsoseq.o dsos.o dsort.o   \
 dslvs.o drsco.o drkfs.o drkfab.o drj.o drf.o dreort.o   \
 dreadp.o drd.o drc6j.o drc3jm.o drc3jj.o drc.o dqwgts.o   \
 dqwgtf.o dqwgtc.o dqrslv.o dqrfac.o dqpsrt.o dqng.o dqnc79.o   \
 dqmomo.o dqk61.o dqk51.o dqk41.o dqk31.o dqk21.o dqk15w.o   \
 dqk15i.o dqk15.o dqform.o dqelg.o dqdoti.o dqdota.o dqcheb.o   \
 dqc25s.o dqc25f.o dqc25c.o dqawse.o dqaws.o dqawoe.o dqawo.o   \
 dqawfe.o dqawf.o dqawce.o dqawc.o dqagse.o dqags.o dqagpe.o   \
 dqagp.o dqagie.o dqagi.o dqage.o dqag.o dpsort.o dpsixn.o   \
 dpsifn.o dprwvr.o dprwpg.o dprvec.o dppval.o dppqad.o dppgq8.o   \
 dpperm.o dpopt.o dpolvl.o dpolft.o dpolcf.o dpofs.o dpnnzr.o   \
 dplpup.o dplpmu.o dplpmn.o dplpfl.o dplpfe.o dplpdm.o dplpce.o   \
 dplint.o dpjac.o dpintm.o dpinit.o dpincw.o dpfqad.o dpcoef.o   \
 dpchng.o dp1vlu.o dorthr.o dohtrl.o dogleg.o dnsqe.o dnsq.o   \
 dnls1e.o dnls1.o dnbsl.o dnbfs.o dnbfa.o dnbdi.o dnbco.o   \
 dmpar.o dmout.o dmgsbv.o dmacon.o dlssud.o dlsod.o dlsi.o   \
 dlsei.o dlpdp.o dllsia.o djairy.o dintyd.o dintrv.o dintp.o   \
 dhvnrm.o dhstrt.o dhkseq.o dhfti.o dh12.o dglss.o dgefs.o   \
 dgaus8.o dgamrn.o dgamln.o dfzero.o dfulmt.o dfspvn.o dfspvd.o   \
 dfehl.o dfdjc3.o dfdjc1.o dfcmn.o dfc.o dexint.o dexbvp.o   \
 des.o derkfs.o derkf.o denorm.o defer.o defehl.o defe4.o   \
 defcmn.o defc.o debdf.o deabm.o ddzro.o ddstp.o ddscl.o ddriv3.o   \
 ddriv2.o ddriv1.o ddpst.o ddpsc.o ddoglg.o ddntp.o ddntl.o   \
 ddes.o dderkf.o ddebdf.o ddeabm.o ddcst.o ddcor.o ddawts.o   \
 ddatrp.o ddastp.o ddassl.o ddaslv.o ddanrm.o ddajac.o ddaini.o   \
 dcv.o dcscal.o dcov.o dcoef.o dckder.o dcfod.o dbvsup.o   \
 dbvpor.o dbvder.o dbvalu.o dbsynu.o dbsqad.o dbspvn.o dbspvd.o   \
 dbsppp.o dbspev.o dbspdr.o dbsknu.o dbskin.o dbsgq8.o   \
 dbolsm.o dbols.o dbocls.o dbnslv.o dbnfac.o dbndsl.o dbndac.o   \
 dbksol.o dbkisr.o dbkias.o dbintk.o dbint4.o dbfqad.o dbesy.o    \
 dbesk.o dbesj.o dbesi.o dbdiff.o davint.o dasyjy.o dasyik.o d1updt.o    \
 d1mpyq.o d1merg.o  cwrsk.o cv.o cuoik.o cunk2.o cunk1.o   \
 cunik.o cuni2.o cuni1.o cunhj.o cuchk.o csroot.o cshch.o cseri.o   \
 cscale.o cs1s2.o crati.o cpzero.o cprodp.o cprod.o cprocp.o    \
 cproc.o cpqr79.o cpoir.o cpofs.o cpevlr.o cpevl.o cpadd.o cosgen.o    \
 compb.o cnbsl.o cnbir.o cnbfs.o cnbfa.o cnbdi.o cnbco.o cmptrx.o    \
 cmptr3.o cmposp.o cmposn.o cmposd.o cmpcsg.o cmlri.o ckscl.o   \
 chksng.o chksn4.o chkprm.o chkpr4.o chkder.o chiev.o cgeir.o    \
 cgefs.o cgeev.o cfod.o cdzro.o cdstp.o cdscl.o cdriv3.o cdriv2.o   \
 cdriv1.o cdpst.o cdpsc.o cdntp.o cdntl.o cdiv.o cdcst.o cdcor.o   \
 ccmpb.o cbunk.o cbuni.o cblkt1.o cbknu.o cbiry.o cbinu.o cbesy.o    \
 cbesk.o cbesj.o cbesi.o cbesh.o casyi.o cairy.o cacon.o cacai.o    \
 c1merg.o bvsup.o bvpor.o bvder.o bvalu.o bsrh.o bsqad.o bspvn.o bspvd.o    \
 bsppp.o bsplvn.o bsplvd.o bspev.o bspdr.o bspdoc.o bskin.o bsgq8.o   \
  bnslv.o bnfac.o bndsol.o bndacc.o blktr1.o bksol.o bkisr.o    \
 bkias.o bintk.o bint4.o bfqad.o besynu.o besy.o besknu.o besk.o   \
 besj.o besi.o bdiff.o bcrh.o avint.o asyjy.o asyik.o aaaaaa.o 


objs:  $(SSLATECOBJS)

static:	$(SSLATECOBJS)
	ar ru libsslatec.a 	$(SSLATECOBJS)

shared: $(SSLATECOBJS)
	ld -shared libsslatec.so $(SSLATECOBJS) -lc

clean:	
	-rm -f *.o *.so *.a
