=== debian/changelog ===
slatec (4.1-4) unstable; urgency=low

  * added Depends: g77, closes: #72355

 -- Torsten Werner <twerner@debian.org>  Mon, 26 Feb 2001 13:08:12 +0100

slatec (4.1-3) unstable; urgency=low

  * new maintainer
  * /usr/doc -> /usr/share/doc
  * updated Standards-Version

 -- Torsten Werner <twerner@debian.org>  Mon,  5 Feb 2001 13:08:45 +0100
