=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: slatec
 Section: libs
 Priority: extra
-Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
-Standards-Version: 2.4.1.2
+Maintainer: Torsten Werner <twerner@debian.org>
+Standards-Version: 3.1.1
+Build-Depends: g77
 
 Package: slatec
 Section: libs
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: g77, ${shlibs:Depends}
 Description: numerical computation library
  slatec is a fortran library of over 1400 routines 
  for numerical tasks.  Some of the subjects covered
