=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 P=slatec
 P2=slatec-dev
 INSTALL = /usr/bin/install
-CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
+#CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
 
 # Create the two so version strings for the symbolic link names
 #
@@ -71,27 +71,28 @@
 
 # Create additional installation directories
 #
-	$(INSTALL) -d debian/tmp/usr/doc/$(P)
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P)
 #	install -d debian/tmp/usr/{info,lib}
 	$(INSTALL) -d debian/tmp/usr/lib
 
 
 # Install docs in proper directory and gzip them
 #
-	cp debian/changelog debian/tmp/usr/doc/$(P)/changelog.Debian
-#	cp ChangeLog debian/tmp/usr/doc/$(P)/changelog
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P)
-	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P)/README
-	gzip -9v debian/tmp/usr/doc/$(P)/*
+	cp debian/changelog debian/tmp/usr/share/doc/$(P)/changelog.Debian
+#	cp ChangeLog debian/tmp/usr/share/doc/$(P)/changelog
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(P)
+	$(INSTALL) -m 644 readme debian/tmp/usr/share/doc/$(P)/README
+	gzip -9v debian/tmp/usr/share/doc/$(P)/*
 
 # but don't gzip the copyright statement
 #
-	cp debian/copyright debian/tmp/usr/doc/$(P)/copyright
+	cp debian/copyright debian/tmp/usr/share/doc/$(P)/copyright
 
 # Install installation scripts
 #
-	cp debian/postinst debian/tmp/DEBIAN/.
-	chmod +x debian/tmp/DEBIAN/postinst
+	cp debian/postinst.slatec debian/tmp/DEBIAN/postinst
+	cp debian/prerm.slatec debian/tmp/DEBIAN/prerm
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install shared library
 #
@@ -136,35 +137,40 @@
 
 # Create additional installation directories
 #
-	$(INSTALL) -d debian/tmp/usr/doc/$(P2)
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P2)
 #	$(INSTALL) -d debian/tmp/usr/{include,lib}
 	$(INSTALL) -d debian/tmp/usr/lib
 #	$(INSTALL) -d debian/tmp/usr/include/$(P)
 
 # Install docs in proper directory and gzip them
 #
-#	$(INSTALL) -m 644 readme install debian/tmp/usr/doc/$(P2)/.
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(P2)
-	cp debian/changelog debian/tmp/usr/doc/$(P2)/changelog.Debian
-#	cp ChangeLog debian/tmp/usr/doc/$(P2)/changelog
+#	$(INSTALL) -m 644 readme install debian/tmp/usr/share/doc/$(P2)/.
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(P2)
+	cp debian/changelog debian/tmp/usr/share/doc/$(P2)/changelog.Debian
+#	cp ChangeLog debian/tmp/usr/share/doc/$(P2)/changelog
 
 	# Install package docs
-	$(INSTALL) -d debian/tmp/usr/doc/$(P2)/
-	$(INSTALL) -m 644 install debian/tmp/usr/doc/$(P2)/INSTALL
-	$(INSTALL) -m 644 readme debian/tmp/usr/doc/$(P2)/README
-	$(INSTALL) -m 644 debian/BUGS.debian debian/tmp/usr/doc/$(P2)
-	$(INSTALL) -m 644 doc/* debian/tmp/usr/doc/$(P2)/
-	gzip -9fv debian/tmp/usr/doc/$(P2)/*
+	$(INSTALL) -d debian/tmp/usr/share/doc/$(P2)/
+	$(INSTALL) -m 644 install debian/tmp/usr/share/doc/$(P2)/INSTALL
+	$(INSTALL) -m 644 readme debian/tmp/usr/share/doc/$(P2)/README
+	$(INSTALL) -m 644 doc/* debian/tmp/usr/share/doc/$(P2)/
+	gzip -9fv debian/tmp/usr/share/doc/$(P2)/*
 
 # but don't gzip the copyright statement
 #
-	cp debian/copyright debian/tmp/usr/doc/$(P2)/copyright
+	cp debian/copyright debian/tmp/usr/share/doc/$(P2)/copyright
 
 # Install test files
-	$(INSTALL) -d  debian/tmp/usr/doc/$(P2)/tests
-	$(INSTALL) -m 644 src/chk/*.f src/chk/Makefile src/chk/README.tests  debian/tmp/usr/doc/$(P2)/tests
-	$(INSTALL) -m 755 src/chk/dotests debian/tmp/usr/doc/$(P2)/tests
-	gzip -9vf debian/tmp/usr/doc/$(P2)/tests/*
+	$(INSTALL) -d  debian/tmp/usr/share/doc/$(P2)/tests
+	$(INSTALL) -m 644 src/chk/*.f src/chk/Makefile src/chk/README.tests  debian/tmp/usr/share/doc/$(P2)/tests
+	$(INSTALL) -m 755 src/chk/dotests debian/tmp/usr/share/doc/$(P2)/tests
+	gzip -9vf debian/tmp/usr/share/doc/$(P2)/tests/*
+
+# Install installation scripts
+#
+	cp debian/postinst.slatec-dev debian/tmp/DEBIAN/postinst
+	cp debian/prerm.slatec-dev debian/tmp/DEBIAN/prerm
+	chmod +x debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
 
 # Install header files
 #
